import home from '../selectors/home.css'
import robert from '../selectors/robert.css'

describe('Home page', () => {
    it('loads the correct screen', () => {
        cy.visit('http://localhost:3000/index.html?DebugLevel=0&jsApp=./oc/oApp_Editor_oc.js&APP_Prefix=Edit&AppCode=StartEditProcess&rwLib=PRD&OU_Name=EGOVC&LOG_Role=EDIT&USR_EMail=robert.wagner@egovc.de&USR_Pass=Welcome1&ynDevTools=Y&USR_EMail=robert.wagner@egovc.de&USR_Pass=Welcome1', {auth: {username: "oma@oma.de", password: "Omnia$$2020", },})
        //cy.visit('https://rengawr.de/info/info.html', {auth: {username: "oma@oma.de", password: "Omnia$$2020", },})
        //cy.visit('https://oma@oma.de:Omnia$$2020@rengawr.de/info/info.html', auth: {username: "", password: "",},)
        cy.get(robert.EGovC_demo).should('be.visible')
            .and('contain', 'li')
        

    })
    it('correctly selects Auto-Genehmigung-Prozess', () =>{
        cy.visit('http://localhost:3000/index.html?DebugLevel=0&jsApp=./oc/oApp_Editor_oc.js&APP_Prefix=Edit&AppCode=StartEditProcess&rwLib=PRD&OU_Name=EGOVC&LOG_Role=EDIT&USR_EMail=robert.wagner@egovc.de&USR_Pass=Welcome1&ynDevTools=Y&USR_EMail=robert.wagner@egovc.de&USR_Pass=Welcome1', {auth: {username: "oma@oma.de", password: "Omnia$$2020", },})
        cy.get('[id^=gridLeft]').should('be.visible')
        //cy.get('details').eq(0).click();
        cy.get("#gridLeft > div > div.w3-card-4 > div:nth-child(2) > div > details:nth-child(1)").click()
        cy.get("#gridLeft > div > div.w3-card-4 > div:nth-child(2) > div > details:nth-child(1) > div > details:nth-child(1)").click()
        cy.get("#gridLeft > div > div.w3-card-4 > div:nth-child(2) > div > details:nth-child(1) > div > details:nth-child(1) > div").click()

        //contains value
        cy.get("[id^=___10___EditPortalMenu___-4___APP_Prefix").invoke('val').should('contain', 'Abholung_EGG')


    })
    
    it('correctly selects Auto-Info-Prozess', () =>{
        cy.visit('http://localhost:3000/index.html?DebugLevel=0&jsApp=./oc/oApp_Editor_oc.js&APP_Prefix=Edit&AppCode=StartEditProcess&rwLib=PRD&OU_Name=EGOVC&LOG_Role=EDIT&USR_EMail=robert.wagner@egovc.de&USR_Pass=Welcome1&ynDevTools=Y&USR_EMail=robert.wagner@egovc.de&USR_Pass=Welcome1', {auth: {username: "oma@oma.de", password: "Omnia$$2020", },})
        cy.get('[id^=gridLeft]').should('be.visible')
        //cy.get('details').eq(0).click();
        cy.get("#gridLeft > div > div.w3-card-4 > div:nth-child(2) > div > details:nth-child(1)").click()
        cy.get("#gridLeft > div > div.w3-card-4 > div:nth-child(2) > div > details:nth-child(1) > div > details:nth-child(1)").click()
        cy.get("#gridLeft > div > div.w3-card-4 > div:nth-child(2) > div > details:nth-child(1) > div > details:nth-child(1) > div").click()

        //contains value
        cy.get("[id^=___10___EditPortalMenu___-4___APP_Prefix").invoke('val').should('contain', 'Abholung_EGG')

        //click process button
        cy.get("#CFD-5 > div:nth-child(5) > fieldset").click()

        cy.get("#CFD-11 > div > fieldset:nth-child(6) > div > button").trigger("mouseover").wait(1000)
        cy.get("#Button_-11_Process > a:nth-child(6) > div").click({force: true})

    })
})
